Subject: Re: [PATCH] [arch-x86] Allow SRAT integrity check to be skipped

From: Andi Kleen <[email-masked]>
Date: Wed, 1 Sep 2010 23:33:37 +0200

On Wed, Sep 01, 2010 at 02:33:18PM -0700, Peter P Waskiewicz Jr wrote:
> On certain BIOSes, SRAT enumeration isn't exported correctly.
> This leads to NUMA node enumeration failure, and causes the kernel
> to fall back onto a single node treated as flat memory.  This
> can happen on large, multi-socket systems (4 or more sockets), and
> becomes problematic for performance.
> 
> This patch adds a boot parameter to allow a kernel to be booted
> with the option to skip the SRAT check.  There are BIOSes in
> production that have these failures, so this will allow people
> in the field to work around these BIOS issues.

Looks good.

Reviewed-by: Andi Kleen <[email-masked]>

-Andi